Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_Source Class Reference

`#include <source.h>`

Collaboration diagram for TAO_AV_Source:

[legend]
List of all members.

## Public Methods
| TAO_AV_Source (ACE_UINT32 srcid, ACE_UINT32 ssrc, ACE_UINT32 addr)
virtual | ~TAO_AV_Source (void)
void | deactivate (void)
void | action ()
char* | name ()
int | active (void)
void | active (int active)
virtual void | set_busy ()
ACE_UINT32 | delvar () const
void | delvar (ACE_UINT32 v)
void | lts_done (const timeval& now)
void | lts_data (const timeval& now)
void | lts_ctrl (const timeval& now)
void | sts_data (ACE_UINT32 now)
void | sts_ctrl (ACE_UINT32 now)
const timeval& | lts_ctrl (void) const
const timeval& | lts_data (void) const
const timeval& | lts_done (void) const
int | sts_ctrl (void) const
int | sts_data (void) const
const char* | sdes (int t) const
virtual void | sdes (int t, const char* value)
ACE_UINT32 | addr (void) const
void | addr (ACE_UINT32 a)
ACE_UINT32 | srcid (void) const
void | srcid (ACE_UINT32 s)
ACE_UINT32 | ssrc (void) const
void | ssrc (ACE_UINT32 s)
void | format (int v)
int | format (void) const
void | mute (int v)
int | mute (void) const
void | ismixer (int v)
int | ismixer (void) const
void | clear_counters (void)
ACE_UINT32 | nb (void) const
ACE_UINT32 | nf (void) const
ACE_UINT32 | np (void) const
ACE_UINT32 | nm (void) const
ACE_UINT32 | ns (void) const
ACE_UINT32 | ehs (void) const
ACE_UINT32 | cs (void) const
ACE_UINT32 | snp (void) const
ACE_UINT32 | sns (void) const
ACE_UINT32 | runt (void) const
ACE_UINT32 | dups (void) const
ACE_UINT32 | badsesslen (void) const
ACE_UINT32 | badsessver (void) const
ACE_UINT32 | badsessopt (void) const
ACE_UINT32 | badsdes (void) const
ACE_UINT32 | badbye (void) const
void | nb (int v)
void | nf (int v)
void | np (int v)
void | nm (int v)
void | snp (int v)
void | sns (int v)
void | fs (int v)
void | runt (int v)
void | badsesslen (int v)
void | badsessver (int v)
void | badsessopt (int v)
void | badsdes (int v)
void | badbye (int v)
int | cs (ACE_UINT16 v)
int | checkseq (ACE_UINT16 v)
virtual void | lost (int)
## Public Attributes
TAO_AV_Source* | next_
TAO_AV_Source* | hlink_
## Protected Methods
char* | stats (char* cp) const
## Protected Attributes
int | active_
char* | name_
int | delvar_
ACE_UINT32 | srcid_
ACE_UINT32 | ssrc_
ACE_UINT32 | addr_
ACE_UINT32 | sts_data_
ACE_UINT32 | sts_ctrl_
timeval | lts_data_
timeval | lts_ctrl_
timeval | lts_done_
ACE_UINT32 | fs_
ACE_UINT32 | cs_
ACE_UINT32 | np_
ACE_UINT32 | nf_
ACE_UINT32 | nb_
ACE_UINT32 | nm_
ACE_UINT32 | snp_
ACE_UINT32 | sns_
ACE_UINT32 | ndup_
ACE_UINT32 | nrunt_
ACE_UINT32 | badsesslen_
ACE_UINT32 | badsessver_
ACE_UINT32 | badsessopt_
ACE_UINT32 | badsdes_
ACE_UINT32 | badbye_
int | format_
int | mute_
int | lost_
int | busy_
int | ismixer_
ACE_UINT16 | seqno_ [TAO_AV_SOURCE_NSEQ]
char* | sdes_ [RTCP_SDES_MAX + 1]

## Constructor & Destructor Documentation

TAO_AV_Source::TAO_AV_Source ( | ACE_UINT32 srcid,
| ACE_UINT32 ssrc,
| ACE_UINT32 addr )

TAO_AV_Source::~TAO_AV_Source ( | void )`[virtual]`

## Member Function Documentation

ACE_INLINE void TAO_AV_Source::action ( | void )

ACE_INLINE void TAO_AV_Source::active ( | int active )

ACE_INLINE int TAO_AV_Source::active ( | void )

ACE_INLINE void TAO_AV_Source::addr ( | ACE_UINT32 a )

ACE_INLINE ACE_UINT32 TAO_AV_Source::addr ( | void ) const

ACE_INLINE void TAO_AV_Source::badbye ( | int v )

ACE_INLINE ACE_UINT32 TAO_AV_Source::badbye ( | void ) const

ACE_INLINE void TAO_AV_Source::badsdes ( | int v )

ACE_INLINE ACE_UINT32 TAO_AV_Source::badsdes ( | void ) const

ACE_INLINE void TAO_AV_Source::badsesslen ( | int v )

ACE_INLINE ACE_UINT32 TAO_AV_Source::badsesslen ( | void ) const

ACE_INLINE void TAO_AV_Source::badsessopt ( | int v )

ACE_INLINE ACE_UINT32 TAO_AV_Source::badsessopt ( | void ) const

ACE_INLINE void TAO_AV_Source::badsessver ( | int v )

ACE_INLINE ACE_UINT32 TAO_AV_Source::badsessver ( | void ) const

ACE_INLINE int TAO_AV_Source::checkseq ( | ACE_UINT16 v )

void TAO_AV_Source::clear_counters ( | void )

ACE_INLINE int TAO_AV_Source::cs ( | ACE_UINT16 v )

ACE_INLINE ACE_UINT32 TAO_AV_Source::cs ( | void ) const

void TAO_AV_Source::deactivate ( | void )

ACE_INLINE void TAO_AV_Source::delvar ( | ACE_UINT32 v )

ACE_INLINE ACE_UINT32 TAO_AV_Source::delvar ( | void ) const

ACE_INLINE ACE_UINT32 TAO_AV_Source::dups ( | void ) const

ACE_INLINE ACE_UINT32 TAO_AV_Source::ehs ( | void ) const

ACE_INLINE int TAO_AV_Source::format ( | void ) const

ACE_INLINE void TAO_AV_Source::format ( | int v )

ACE_INLINE void TAO_AV_Source::fs ( | int v )

ACE_INLINE int TAO_AV_Source::ismixer ( | void ) const

ACE_INLINE void TAO_AV_Source::ismixer ( | int v )

ACE_INLINE void TAO_AV_Source::lost ( | int v )`[virtual]`

ACE_INLINE const timeval & TAO_AV_Source::lts_ctrl ( | void ) const

ACE_INLINE void TAO_AV_Source::lts_ctrl ( | const timeval & now )

ACE_INLINE const timeval & TAO_AV_Source::lts_data ( | void ) const

ACE_INLINE void TAO_AV_Source::lts_data ( | const timeval & now )

ACE_INLINE const timeval & TAO_AV_Source::lts_done ( | void ) const

ACE_INLINE void TAO_AV_Source::lts_done ( | const timeval & now )

ACE_INLINE int TAO_AV_Source::mute ( | void ) const

ACE_INLINE void TAO_AV_Source::mute ( | int v )

ACE_INLINE char * TAO_AV_Source::name ( | void )

ACE_INLINE void TAO_AV_Source::nb ( | int v )

ACE_INLINE ACE_UINT32 TAO_AV_Source::nb ( | void ) const

ACE_INLINE void TAO_AV_Source::nf ( | int v )

ACE_INLINE ACE_UINT32 TAO_AV_Source::nf ( | void ) const

ACE_INLINE void TAO_AV_Source::nm ( | int v )

ACE_INLINE ACE_UINT32 TAO_AV_Source::nm ( | void ) const

ACE_INLINE void TAO_AV_Source::np ( | int v )

ACE_INLINE ACE_UINT32 TAO_AV_Source::np ( | void ) const

ACE_INLINE ACE_UINT32 TAO_AV_Source::ns ( | void ) const

ACE_INLINE void TAO_AV_Source::runt ( | int v )

ACE_INLINE ACE_UINT32 TAO_AV_Source::runt ( | void ) const

void TAO_AV_Source::sdes ( | int t,
| const char * s )`[virtual]`

ACE_INLINE const char * TAO_AV_Source::sdes ( | int t ) const

void TAO_AV_Source::set_busy ( | )`[virtual]`

ACE_INLINE void TAO_AV_Source::snp ( | int v )

ACE_INLINE ACE_UINT32 TAO_AV_Source::snp ( | void ) const

ACE_INLINE void TAO_AV_Source::sns ( | int v )

ACE_INLINE ACE_UINT32 TAO_AV_Source::sns ( | void ) const

ACE_INLINE void TAO_AV_Source::srcid ( | ACE_UINT32 s )

ACE_INLINE ACE_UINT32 TAO_AV_Source::srcid ( | void ) const

ACE_INLINE void TAO_AV_Source::ssrc ( | ACE_UINT32 s )

ACE_INLINE ACE_UINT32 TAO_AV_Source::ssrc ( | void ) const

char * TAO_AV_Source::stats ( | char * cp ) const`[protected]`

ACE_INLINE int TAO_AV_Source::sts_ctrl ( | void ) const

ACE_INLINE void TAO_AV_Source::sts_ctrl ( | ACE_UINT32 now )

ACE_INLINE int TAO_AV_Source::sts_data ( | void ) const

ACE_INLINE void TAO_AV_Source::sts_data ( | ACE_UINT32 now )

## Member Data Documentation

int TAO_AV_Source::active_`[protected]`

ACE_UINT32 TAO_AV_Source::addr_`[protected]`

ACE_UINT32 TAO_AV_Source::badbye_`[protected]`

ACE_UINT32 TAO_AV_Source::badsdes_`[protected]`

ACE_UINT32 TAO_AV_Source::badsesslen_`[protected]`

ACE_UINT32 TAO_AV_Source::badsessopt_`[protected]`

ACE_UINT32 TAO_AV_Source::badsessver_`[protected]`

int TAO_AV_Source::busy_`[protected]`

ACE_UINT32 TAO_AV_Source::cs_`[protected]`

int TAO_AV_Source::delvar_`[protected]`

int TAO_AV_Source::format_`[protected]`

ACE_UINT32 TAO_AV_Source::fs_`[protected]`

TAO_AV_Source * TAO_AV_Source::hlink_

int TAO_AV_Source::ismixer_`[protected]`

int TAO_AV_Source::lost_`[protected]`

timeval TAO_AV_Source::lts_ctrl_`[protected]`

timeval TAO_AV_Source::lts_data_`[protected]`

timeval TAO_AV_Source::lts_done_`[protected]`

int TAO_AV_Source::mute_`[protected]`

char * TAO_AV_Source::name_`[protected]`

ACE_UINT32 TAO_AV_Source::nb_`[protected]`

ACE_UINT32 TAO_AV_Source::ndup_`[protected]`

TAO_AV_Source * TAO_AV_Source::next_

ACE_UINT32 TAO_AV_Source::nf_`[protected]`

ACE_UINT32 TAO_AV_Source::nm_`[protected]`

ACE_UINT32 TAO_AV_Source::np_`[protected]`

ACE_UINT32 TAO_AV_Source::nrunt_`[protected]`

char * TAO_AV_Source::sdes_[RTCP_SDES_MAX+1]`[protected]`

ACE_UINT16 TAO_AV_Source::seqno_[TAO_AV_SOURCE_NSEQ]`[protected]`

ACE_UINT32 TAO_AV_Source::snp_`[protected]`

ACE_UINT32 TAO_AV_Source::sns_`[protected]`

ACE_UINT32 TAO_AV_Source::srcid_`[protected]`

ACE_UINT32 TAO_AV_Source::ssrc_`[protected]`

ACE_UINT32 TAO_AV_Source::sts_ctrl_`[protected]`

ACE_UINT32 TAO_AV_Source::sts_data_`[protected]`

The documentation for this class was generated from the following files:

- source.h
- source.cpp
- source.i